%define	name	libscigraphica
%define	version	2.1.1
%define	release	%mkrel 11

%define realname scigraphica

%define major 2.1
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d


Summary: Data analysis and technical graphics library
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group: System/Libraries
URL: http://scigraphica.sourceforge.net/
Source: http://prdownloads.sourceforge.net/scigraphica/%{name}-%{version}.tar.bz2
Patch0: libscigraphica-2.1.1-fix-linkage.patch
Patch1: libscigraphica-2.1.1-fix-str-fmt.patch
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: perl-XML-Parser
BuildRequires: zlib-devel
BuildRequires: pkgconfig
BuildRequires: gtk+extra-2-devel
BuildRequires: python-numeric-devel

%description
SciGraphica is a scientific application for data analysis and technical
graphics. It pretends to be a clone of the popular commercial (and expensive)
application "Microcal Origin". It fully supplies plotting features for 2D, 3D
and polar charts. The aim is to obtain a fully-featured, cross-platform,
user-friendly, self-growing scientific application. It is free and
open-source, released under the GPL license.


%package -n %{libname}
Summary: Library for scigraphica 
Group: Development/Other

%description -n %{libname}
SciGraphica is a scientific application for data analysis and technical
graphics. It pretends to be a clone of the popular commercial (and expensive)
application "Microcal Origin". It fully supplies plotting features for 2D, 3D
and polar charts. The aim is to obtain a fully-featured, cross-platform,
user-friendly, self-growing scientific application. It is free and
open-source, released under the GPL license.

%package -n %{libnamedev}
Summary: Libscigraphica library headers and development libraries
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}
Provides: libscigraphica-devel
Provides: libscigraphica2-devel
Obsoletes: %{_lib}scigraphica2.1-devel

%description -n %{libnamedev}
Libscigraphica devel files


%prep
%setup -q
%patch0 -p0
%patch1 -p0 

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

%find_lang %name

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname} -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%dir %_datadir/pixmaps/%name
%_datadir/pixmaps/%name/*.xpm
%_datadir/pixmaps/*.xpm
%dir %{_libdir}/%{realname}
%{_libdir}/%{realname}/2.1.0/plugins/*/*.so
%{_libdir}/%{realname}/2.1.0/plugins/*/*.xml

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/aclocal/*
%_datadir/pixmaps/%name/*.h
%{_libdir}/%{realname}/2.1.0/plugins/*/*.*a




%changelog
* Sun Sep 13 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.1.1-11mdv2010.0
+ Revision: 438735
- rebuild

* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 2.1.1-10mdv2009.1
+ Revision: 318891
- new devel package policy
- fix some buld problems

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.1.1-7mdv2008.1
+ Revision: 140928
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 20 2006 Crispin Boylan <crisb@mandriva.org> 2.1.1-7mdv2007.0
+ Revision: 100450
- BuildRequires python-numeric-devel
- Rebuild with gtk 2
- Import libscigraphica

* Wed Jan 18 2006 Lenny Cartier <lenny@mandriva.com> 2.1.1-6mdk
- fix buildrequires for x86_64

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.1-5mdk
- Fix BuildRequires

* Wed Dec 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.1-4mdk
- Fix BuildRequires

* Tue Dec 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.1-3mdk
- Fix BuildRequires

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.1-2mdk
- Fix BuildRequires

* Wed Jul 27 2005 Lenny Cartier <lenny@mandriva.com> 2.1.1-1mdk
- 2.1.1
- fix changelog

